import { contextBridge, ipcRenderer } from 'electron';
function addAppOpenURLListener(listener) {
    ipcRenderer.addListener('react-native-app-open-url', listener);
    void ipcRenderer.invoke('react-native-add-app-open-url');
}
function removeAppOpenURLListener(listener) {
    ipcRenderer.removeListener('react-native-app-open-url', listener);
}
async function getInitialURL() {
    return await ipcRenderer.invoke('react-native-get-initial-url');
}
async function openURL(url) {
    await ipcRenderer.invoke('react-native-open-url', url);
}
async function showAlert(config) {
    return await ipcRenderer.invoke('react-native-show-alert', config);
}
contextBridge.exposeInMainWorld('ReactNativeElectron', {
    appOpenURL: {
        addListener: addAppOpenURLListener,
        removeListener: removeAppOpenURLListener
    },
    getInitialURL,
    openURL,
    showAlert,
    platform: process.platform
});
